xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Changes between Initial Version and Version 1 of Ticket #970, comment 18


Ignore:
Timestamp:
11/23/15 17:14:47 (6 years ago)
Author:
Antoine Martin
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #970, comment 18

    initial v1  
    88And if I install the Gst gi bindings, I can load gstreamer 1.x.
    99
    10 The bit problem is that despite some build tweaks (r11313 + r11314 + r11315 + r11316), this doesn't play well with the gstreamer 0.10 bindings: they use different versions of gobject and glib libraries.. but with the same DLL name! (sigh)
     10The bit problem is that despite some build tweaks (r11313 + r11314 + r11315 + r11316 which will still be helpful for #1041), this doesn't play well with the gstreamer 0.10 bindings: they use different versions of gobject and glib libraries.. but with the same DLL name! (sigh)
    1111So we cannot easily bundle them together. I tried modified the gstreamer loader to inject a per-version DLL path into the environment before loading, but that doesn't seem to be honoured by the loader which uses the path of the executable before anything else..
    1212It also seems to look in {{{Xpra/lib/gstreamer-1.0}}}, no matter what I set for {{{GST_PLUGIN_PATH}}}...